Skip to main content
Monitoring & Collection/Grafana Integration

ListGrafanaDatasources

List all Grafana datasources for a tenant

GET/api/v1/monitoring/grafana/datasources

Operation ID

ListGrafanaDatasources

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • tenantId
    String

    Filter datasources by tenant UUID Filter datasources by tenant UUID

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    Collection of result items

    Example: (nested array)

    • id
      String

      Unique identifier of the Grafana datasource registration

      Example: ds-001-abc

    • name
      String

      Display name of the datasource

      Example: Production Prometheus

    • grafanaUrl
      String

      URL of the Grafana instance managing this datasource

      Example: http://grafana.example.com

    • orgId
      Integer

      Grafana organization ID this datasource belongs to

      Example: 1

    • apiKey
      String

      API key for authenticating with the Grafana instance

      Example: glsa_xxxxxxxxxxxx

    • tenantId
      String

      UUID of the tenant this datasource belongs to

      Example: tenant-001-xyz

    • createdAt
      String

      Created at

      Example: 2026-01-15T08:00:00Z

  • total
    Integer

    Total number of datasources

    Example: 3

  • limit
    Integer

    Page size limit

    Example: 20

  • offset
    Integer

    Pagination offset

    Example: 20